Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class InvalidOptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.hyperic.util.NestedRuntimeException
                      net.hyperic.util.config.InvalidOptionException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidOptionException
extends net.hyperic.util.NestedRuntimeException

See Also:
  Serialized Form

Constructor Summary
`InvalidOptionException()`
`InvalidOptionException(java.lang.String s)`
`InvalidOptionException(java.lang.String s, java.lang.Throwable t)`
`InvalidOptionException(java.lang.Throwable t)`

Methods inherited from class net.hyperic.util.NestedRuntimeException
`addException, getExceptionOfType, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOptionException

    public InvalidOptionException()

### InvalidOptionException

    public InvalidOptionException(java.lang.String s)

### InvalidOptionException

    public InvalidOptionException(java.lang.Throwable t)

### InvalidOptionException

    public InvalidOptionException(java.lang.String s,
                                  java.lang.Throwable t)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.